Summary:        Thunderbird tray system
Name:           birdtray
Version:        1.11.4
Release:        %mkrel 1
License:        GPLv3
Group:          Networking/Mail
URL:            https://github.com/gyunaev/birdtray
Source0:        https://github.com/gyunaev/birdtray/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
Birdtray is a free system tray notification for new mail for Thunderbird.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/applications/com.ulduzsoft.Birdtray.desktop
%{_datadir}/ulduzsoft/
%{_iconsdir}/hicolor/*/apps/com.ulduzsoft.Birdtray.png
%{_iconsdir}/hicolor/scalable/apps/com.ulduzsoft.Birdtray.svg
%{_metainfodir}/com.ulduzsoft.Birdtray.appdata.xml


%changelog
* Sun Nov 10 2024 daviddavid <daviddavid> 1.11.4-1.mga10
+ Revision: 2113744
- new version: 1.11.4

* Wed Aug 30 2023 daviddavid <daviddavid> 1.11.0-1.mga10
+ Revision: 1981124
- new version: 1.11.0

* Tue Jan 03 2023 daviddavid <daviddavid> 1.9.0-5.mga9
+ Revision: 1929697
- add upstream patch to fix a segfault at startup under Plasma Wayland (mga#31356)

* Tue Jan 03 2023 daviddavid <daviddavid> 1.9.0-4.mga9
+ Revision: 1929679
- rebuild against current Qt 5.15.7 stack

* Mon Apr 04 2022 umeabot <umeabot> 1.9.0-3.mga9
+ Revision: 1843252
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1658154
- Rebuild for new Qt5

* Wed Dec 09 2020 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1654794
- initial package birdtray

